Subject: Re: bug#64605: HandBrake 1.5.1 hangs on startup due libQt5Qml

From: Maxim Cournoyer <[email-masked]>
Date: Fri, 25 Aug 2023 22:26:52 -0400

Hello,

Maxim Cournoyer <[email-masked]> writes:

> Hi,
>
> Distopico <[email-masked]> writes:
>
>> On 2023-07-20, Maxim Cournoyer <[email-masked]> wrote:
>>
>>> Hello,
>>>
>>> Distopico <[email-masked]> writes:
>>>
>>>> On 2023-07-20, Maxim Cournoyer <[email-masked]> wrote:
>>>>
>>>>> This looks like an upstream Qt problem.  Have you searched if an issue
>>>>> was known about it?  Their tracker is at https://bugreports.qt.io/.
>>>>
>>>> Checking there looks like is already reported a similar issue
>>>> https://bugreports.qt.io/browse/QTBUG-58508, I think that happens in
>>>> Guix/Nix becase QT is trying to write inside the profile path 
>>>
>>> It looks like we should apply this patch to completely disable QML disk
>>> cache in Qt: https://github.com/NixOS/nixpkgs/pull/197010.
>>
>> yes, I was thinking on that, maybe inside [profile]/etc/profile
>
> No, the patch is more definitive than that, it disables the QML disk
> caching from qtdeclarative directly.

Installed with commit 1717c8a233b7fda3a10aabc061168c71317f883e.

Let me know if any caching problems persist.

-- 
Thanks,
Maxim